

		++==================================++
		||	    DezHexBin V1.1	    ||
		++==================================++

		       Manual - English Version
		  Author: Michael Djavidan, 7.1.1990




DHB is a simple but useful programming-tool. It's only task is, to convert
Integers between decimal, hexadecimal and binary numbers very comfortable
and with low expense.

DHB was coded to 100% in assembler. Therefore the binary is very compact.
Because of being rather short too, I placed the Sourcecode in only one
modul. The program may be started from CLI or from Workbench. DHB knows no
parameters.

The files are:

      - dhb.s			  The source
      - dhb			  The binary
      - dhb.info		  Info-file for Workbench start
      - README.d		  The German Manual (It might be better...)
      - README.e		  The English Manual



			THE MENU
			--------

... includes only one item:

Auto-Clear (on/off): If switched on (default), the input area of the
		     stringgadgets will be automatically cleared by
		     klicking on them.




			THE STRINGGADGETS:
			------------------

Four stringgadgets do the input/output of numbers:

Decimal-gadget (d):     Possible characters:
			0-9,
			Space,
			Sign (+,-);

Hexadecimal-gadget ($): Possible characters:
			0-9,
			A-F (a-f),
			Space;

Binary-gadget (%):      Possible characters:
			Digits 0 and 1;
			Space

ASCII-gadget (a):       Possible characters:
			All Chars;
			This gadget only works
			with bits 0-7 of the 32-bit-number.




			THE BOOLGADGETS
			---------------
		     (from left to right:)


Left-shift ():     Independent from the BWL-Gadget, the whole
		    32-bit-number is shifted one Position to the left.
		    This means the same as: "lsl.l #1,...".

Right-Shift ():    The same as above but to the right side.
		    This means the same as: "lsr.l #1,...".

BWL-Gadget (B,W,L): This Gadget switches the shown width of the number.
		    'B'yte (8 Bit)  -> 0-255
		    'W'ort (16 Bit) -> 0-65535
		    'L'ong (32 Bit) -> 0-4294967295

Sign-Gadget (+,):  This Gadget switches between signed- or unsigned
		    display.
		    - '+' -> unsigned
		    - '' -> signed
		    It only affects the decimal display.
		    But nevertheless you may do a signed decimal Input.





			ERROR MESSAGES
			--------------

- Invalid Character: Couldn't convert the number;
		     Wrong character in input-area;

- Overflow:	     At dezimal input, value was out of Range;
		     (Greater than 4294967295)



			ENVIRONMENT
			-----------

Amiga 500 with 1Mb RAM
Kickstart: V1.2

Assembler: Asm68k V 1.1.0
Linker:    Blink V6.5

	   Asm68k dhb.s -CC -NL
	   Blink dhb.o



			DISTRIBUTION
			------------

DHB and DHB.s may only be copied and used for non-commercial purposes.



			THE END
			-------


Any question goes to:

		    Michael Djavidan
		    St.Kolomann 7
		    8059 Wrth
		    West Germany





I hope you'll find DHB useful...




